%define name netswitch
%define version 0.3.1
%define release %mkrel 2

%define major	0
%define libname %mklibname %{name} %{major}

Summary: Set of tools to manage network profiles and interfaces
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://netswitch.tuxfamily.org/files/libswitch-%{version}.tar.bz2
Source1: http://netswitch.tuxfamily.org/files/gswitch-%{version}.tar.bz2
Patch1: netswitch-0.3.1-libdir.patch.bz2
License: GPL
Group: Networking/Other
Url: http://netswitch.tuxfamily.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: pkgconfig

%description
Netswitch is a set of tools to manage your network profiles in an
independent way from your Linux Distribution tools. It also aims to
enable a lot of interfaces (Console based, X based).

%package -n %{libname}
Group:          System/Libraries
Summary: 	Netswitch library

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with netswitch.

%prep
%setup -q -a 1 -c netswitch-%{version}
%patch1 -p1 -b .libdir

%build
pushd libswitch-%{version}
./configure --prefix=%{_prefix}
%make
popd
pushd gswitch-%{version}
%configure CFLAGS="-I%{_builddir}/netswitch-%{version}/libswitch-%{version}/src" LDFLAGS="-L%{_builddir}/netswitch-%{version}/libswitch-%{version}/build"
%make
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd libswitch-%{version}
%makeinstall_std LIBDIR=%{_libdir}
popd
pushd gswitch-%{version}
%makeinstall
popd
rm -f %{buildroot}%{_includedir}/switch.h

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc libswitch-%{version}/AUTHORS libswitch-%{version}/ChangeLog
%dir %{_sysconfdir}/%{name}
%attr(755,root,root) %{_sysconfdir}/%{name}/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/gswitch/pixmaps/*
%{_datadir}/icons/hicolor/24x24/apps/%{name}.png
%{_datadir}/locale/*/LC_MESSAGES/*switch.mo
%{_mandir}/man1/%{name}.1*

%files -n %{libname}
%attr(644,root,root)%{_libdir}/libswitch.so*

%changelog
* Tue Apr 18 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.3.1-2mdk
- Fix BuildRequires

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 0.3.1-1mdk
- 0.3.1
- drop Patch0, fixed upstream
- rediff Patch1
- include new files

* Wed Jan 25 2006 Olivier Blin <oblin@mandriva.com> 0.2-2mdk
- compile with -fPIC (Patch0)
- fix libdir for libswitch (Patch1)
- use correct build directory to link libswitch

* Wed Dec  7 2005 Olivier Blin <oblin@mandriva.com> 0.2-1mdk
- initial Mandriva release
